Subject: Parse output of view helper 'translate'
Description

Expecting you have this html/template source...

<f:translate key="any">The quick brown {dog} jumps over the lazy {fox}.</f:translate>

... the 'variables' in the brackets won't get replaced anymore.
Therefor it's very complicated to print text with inline variables,
which should then get translated.

Or is there any better approach?

Thanks!

History
#1 - 2009-10-16 18:44 - Bastian Waidelich
- Project changed from TYPO3.Flow to TYPO3.Fluid
- Target version deleted (1.0 alpha 6)

#2 - 2009-10-16 18:45 - Bastian Waidelich
- Category set to ViewHelpers
- Assigned To set to Sebastian Kurfuerst
- Branch set to v4

#3 - 2009-10-21 18:41 - Bastian Waidelich

Reminder: last patches at #4858 resolves this by adding an "arguments"-attribute to the translate view helper. Implementation needs some rework
though.

#4 - 2009-10-26 18:20 - Thomas Deinhamer

Sorry, I don't get it - how is this related to #4858?

#5 - 2009-10-26 19:14 - Bastian Waidelich
- Status changed from New to Resolved

Thomas Deinhamer wrote:

Hi,
Sorry, I don't get it - how is this related to #4858?

You're right, the issues are not related. But as I wrote, the patches at #4858 incorporate this feature.
Anyway, since r1505 (see http://forge.typo3.org/repositories/revision/typo3v4-mvc/1505) the arguments attribute is implemented and you can use it like

<f:translate key="foo" arguments="{0: 'val1', 1: 'val2'}">fallback</f:translate>

Thanks for the feedback
Bastian

#6 - 2009-10-26 19:14 - Bastian Waidelich
- % Done changed from 0 to 100
